Environments of an organisation
GET
/v1/organisations/{id}/environmentsOperation environments.list · since 2026-11-05 · stable
Needs a session withreadscopeAnswers200 OK
{ "role", "limits", "environments": [...] }: every environment you may see, with its state and price.
Path parameters
- idstring (uuid)required
- The organisation id.
Errors
Every error is { "error", "message", "detail"? } (Errors and references). Besides the codes any route can answer.
GET/v1/organisations/{id}/environments
curl "https://api.rykloud.com/v1/organisations/$ORG_ID/environments" \
-H "Authorization: Bearer $RYKLOUD_TOKEN"With the rykloud CLI
rykloud envs list [flags]Command reference: rykloud envs list